Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.parsing
Class AliasDefinition

    java.lang.Object
      org.springframework.beans.factory.parsing.AliasDefinition

All Implemented Interfaces:
  BeanMetadataElement

    public class AliasDefinition

extends java.lang.Object
implements BeanMetadataElement

Representation of an alias that has been registered during the parsing process.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `ReaderEventListener.aliasRegistered(AliasDefinition)`

Constructor Summary
`AliasDefinition(java.lang.String beanName, java.lang.String alias)` Create a new AliasDefinition.
`AliasDefinition(java.lang.String beanName, java.lang.String alias, java.lang.Object source)` Create a new AliasDefinition.

Method Summary
`java.lang.String` | `getAlias()` Return the alias registered for the bean.
`java.lang.String` | `getBeanName()` Return the canonical name of the bean.
`java.lang.Object` | `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AliasDefinition

    public AliasDefinition(java.lang.String beanName,
                           java.lang.String alias)

  Create a new AliasDefinition.

  Parameters:
    `beanName` - the canonical name of the bean
    `alias` - the alias registered for the bean

### AliasDefinition

    public AliasDefinition(java.lang.String beanName,
                           java.lang.String alias,
                           java.lang.Object source)

  Create a new AliasDefinition.

  Parameters:
    `beanName` - the canonical name of the bean
    `alias` - the alias registered for the bean
    `source` - the source object (may be `null`)

Method Detail

### getBeanName

    public final java.lang.String getBeanName()

  Return the canonical name of the bean.

### getAlias

    public final java.lang.String getAlias()

  Return the alias registered for the bean.

### getSource

    public final java.lang.Object getSource()

  Description copied from interface: `BeanMetadataElement`
  Return the configuration source `Object` for this metadata element (may be `null`).

  Specified by:
    `getSource` in interface `BeanMetadataElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD